using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using PokemonSleepWeb.Client.Service;


var builder = WebAssemblyHostBuilder.CreateDefault(args);

builder.Services.AddScoped(sp => new HttpClient
{
    BaseAddress = new Uri(builder.Configuration["ApiBaseUrl"]!)
});

builder.Services.AddScoped<BaseService>();
builder.Services.AddScoped<PokemonService>();

await builder.Build().RunAsync();
